LYX(1)

NAME
lyx - A Document Processor

SYNOPSIS
lyx [ command-line switches ] [ name[.lyx] ... ]

DESCRIPTION
LyX is too complex to be described completely in the "man" page format. If your system is properly configured, you can access the full documentation within LyX under the Help menu. LyX is a document preparation system. It excels at letting you create complex technical and scientific articles with mathematics, cross-references, bibliographies, indices, etc. It is very good at documents of any length in which the usual processing abilities are required: automatic sectioning and pagination, spellchecking, and so forth. It can also be used to write a letter to your mom, though granted, there are probably simpler programs available for that. It is definitely not the best tool for creating banners, flyers, or advertisements, though with some effort all these can be done, too. Some examples of what it is used for: memos, letters, dissertations and theses, lecture notes, seminar notebooks, conference proceedings, software documentation, books (on PostgreSQL, remote sensing, cryptology, fictional novels, poetry, and even a children's book or two), articles in refereed scientific journals, scripts for plays and movies, business proposals... you get the idea. Currently, LyX uses either the XForms or Qt library as a toolkit. LyX should run everywhere, where these libraries run. This is on all major Unix platforms as well as Windows, Mac OS X (which actually is a unix platform) and OS/2.

OPTIONS
LyX supports the following command-line switches.

-help
    summarizes LyX usage

-version
    provides version information on the build of LyX.

-sysdir directory
    sets system directory. Normally not needed.

-userdir directory
    sets user directory. Needed if you want to use LyX with different lyxrc settings.

-dbg feature[,feature...]
    where feature is a name or number. Use "lyx -dbg" to see the list of available debug features.

-x [--execute] command
    where command is a lyx command.

-e [--export] fmt
    where fmt is the export format of choice.

-i [--import] fmt file.xxx
    where fmt is the import format of choice and file.xxx is the file to be imported.

XFORMS FRONTEND OPTIONS
When compiled with the XForms frontend, LyX understands the following generic command line options from the Forms Library, which can also be specified as X resources (e. g. in .Xdefaults) with class name LyX.

-geometry WxH+X+Y
    specifies the preferred size and position of the main LyX window; see X(1).

-display host:display
    specifies the server to connect to.

-bw borderwidth
    specifies the border width to use to built-in objects.

-visual visualName
    requests a visual by name such as TrueColor etc. By default the Forms Library always selects the visual that has the most depth.

-depth depth
    requests a specific depth. Try "-depth best" or "-depth 8" if you get a bad match.

-debug level
    generates some info about the state of the XForms. where level is an integer between 1-5 and controls the amount of information to output. Depending on the options used when the Forms Library was built, a level more than 3 might not be available.

-sync
    runs the application in synchronous mode with debug level set to 4.

-private
    requests a private colormap for the application.

-shared
    requests a shared colormap even if the application needs more colors than available. For those colors that can't be allocated in the shared colormap, substitutions are made so the closest matching color is used.

-stdcmap
    requests a standard colormap.

-name  newname
    specifies the application name under which resources are to be obtained, rather than the default executable file name.

ENVIRONMENT

LYX_DIR_13x
    can be used to specify which system directory to use.

The system directory is determined by searching for the file "chkconfig.ltx". Directories are searched in this order:
1) -sysdir command line parameter
2) LYX_DIR_13x environment variable
3) Maybe <path of binary>/TOP_SRCDIR/lib
4) <path of binary>/../share/<name of binary>/
5) hardcoded lyx_dir (usually /usr/local/share/lyx on UNIX and %X11ROOT%\XFree86\lib\X11\lyx on OS/2 with XFree)

LYX_USERDIR_13x
    can be used to specify which user directory to use.

The user directory is, in order of precedence:
1) -userdir command line parameter
2) LYX_USERDIR_13x environment variable
3) $HOME/.<name of binary> if no explicit setting is made

LYX_LOCALEDIR
    can be used to tell LyX where to look for the translations of its GUI strings in other languages.

FILES
~/.lyx/preferences      Personal configuration file
~/.lyx/lyxrc.defaults   Personal autodetected configuration file
LIBDIR/lyxrc      System wide configuration file
LIBDIR/lyxrc.defaults System wide autodetected configuration file
LIBDIR/configure  Updates LyX if config has changed
LIBDIR/bind/      Keybindings
LIBDIR/clipart/   Clipart pictures
LIBDIR/doc/       Documentation in LyX format.
LIBDIR/examples/  Example documents
LIBDIR/images/    Images used as icons or in popups
LIBDIR/kbd/       Keyboard mappings
LIBDIR/layouts/   Layout descriptions
LIBDIR/templates/ Templates for documents
LIBDIR/tex/       Extra TeX files

LIBDIR is the system directory. This is usually /usr/local/share/lyx on UNIX and %X11ROOT%\XFree86\lib\X11\lyx on OS/2 with XFree.

SEE ALSO
reLyX(1), latex(1), xforms(5). Full documentation in either native LyX or postscript format.

BUGS/LIMITATIONS
There are still some bugs in LyX. To report one, read if possible the Introduction found under the Help menu in LyX. You'll find detailed info on submitting bug reports there. If you can't do that, send details to the LyX Developers mailing list lyx-devel@lists.lyx.org, or use the LyX bug tracker at http://bugzilla.lyx.org/. Don't forget to mention which version you are having problems with! LaTeX import is still not perfect and may produce buggy *.lyx files. Consult the reLyX documentation.

AUTHORS
Copyright 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002 by Matthias Ettrich (ettrich@informatik.uni-tuebingen.de) and the rest of the LyX Team (See About LyX under the Help menu item).